// 用户管理
import http from './http.js'
import {accountUrl} from './prveUrl.js'


const request=http.request

// 获取店铺会员二维码
export function getwxacode(data) {
  return request({
    url: `/shop/storage/getwxacode`,
    method: "post",
    data
  });
}
/**
 * 商家用户列表
 * @returns
 */
export function queryAllShopUser(params) {
  return request({
    url: accountUrl+`/admin/shopUser`,
    method: "get",
    params: {
      shopId: uni.getStorageSync('shopId'),
      ...params
    }
  });
}
/**
 * 查询商家用户概述信息
 * @returns
 */
export function queryAllShopInfo(params) {
  return request({
    url: `/api/tbShopUser/summary`,
    method: "get",
    params: {
      shopId: uni.getStorageSync('shopId'),
	  isVip:1,
      ...params
    }
  });
}

/**
 * 获取店铺用户详情
 * @returns
 */
export function shopUserDetail(params) {
  return request({
    url: accountUrl+`/admin/shopUser/detail`,
    method: "get",
    params: {
      shopId: uni.getStorageSync('shopId'),
      ...params
    }
  });
}
